Skip to main content

where are the "APIs that tell you implementation and version of the parser"

1 reply [Last post]
wboyd
Offline
Joined: 2003-08-11
Points: 0

hello forum,

this page: https://jaxp.dev.java.net/1.3/JAXP-Compatibility_150.html#new claims that jaxp features:

"APIs that tell you implementation and version of the parser, so that when you install new libraries you can make sure the application is using them."

what "APIs" are they talking about? i've searched the jaxp 1.3 and jaxp 1.4 javadoc, but it is not obvious what class|method to use to determine the "implementation and version of the parser". please, can anybody here fill me in?

i already know about "org.apache.xalan.xslt.EnvironmentCheck" in xalan. but that's not part of jaxp.

thanks in advance for your reply.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
joehw
Offline
Joined: 2004-12-15
Points: 0

Sounds like a nice feature to have. But I don't have any knowledge of such a feature in jaxp. I will remove that statement for now.

Thanks for bringing this up.